<div id="requestResult">
    <link href="{$WEB_ROOT}/modules/addons/domain_reseller_management/css/js_persian_cal.css" rel="stylesheet"
          type="text/css"/>
    <script src="{$WEB_ROOT}/modules/addons/domain_reseller_management/js/js_persian_cal.js"
            type="text/javascript"></script>
    <div id="requestResultPage">
        <form id="searchesLog" onsubmit="return searchesLog()" method="get" action="{$smarty.server.REQUEST_URI}">

            <table width="100%">
                <tr>
                    <td>
                        <label>از تاریخ</label>
                    </td>
                    <td>
                        <input readonly="readonly" type="text"
                               value="{if $smarty.get.g_from } {$smarty.get.g_from} {/if}"
                               class="form-control" name="g_from" id="pcal1">
                        <input type="hidden" readonly="readonly" name="from"
                               value="{if $smarty.get.from } {$smarty.get.from} {/if}" id="extra_from">
                    </td>
                    <td>
                        <label>تا تاریخ</label>
                    </td>
                    <td>
                        <input readonly="readonly" type="text" value="{if $smarty.get.g_to } {$smarty.get.g_to} {/if}"
                               style="" class="form-control" name="g_to" id="pcal2">
                        <input type="hidden" readonly="readonly" value="{if $smarty.get.to } {$smarty.get.to} {/if}"
                               name="to" id="extra_to">
                    </td>
                    <td>
                        <label>عملیات</label>
                    </td>
                    <td>
                        <select name="act" class="form-control">
                            <option value="all" {if $smarty.get.act eq 'all' } selected="selected" {/if}>همه
                            </option>
                            <option value="domain_ns_modify" {if $smarty.get.act eq 'domain_ns_modify' } selected="selected" {/if}>
                                domain_ns_modify
                            </option>
                            <option value="domain_register" {if $smarty.get.act eq 'domain_register' } selected="selected" {/if}>
                                domain_register
                            </option>
                            <option value="domain_renew" {if $smarty.get.act eq 'domain_renew' } selected="selected" {/if}>
                                domain_renew
                            </option>
                            <option value="domain_tranferin" {if $smarty.get.act eq 'domain_tranferin' } selected="selected" {/if}>
                                domain_tranferin
                            </option>
                            <option value="domain_getepp" {if $smarty.get.act eq 'domain_getepp' } selected="selected" {/if}>
                                domain_getepp
                            </option>
                            <option value="domain_child_create" {if $smarty.get.act eq 'domain_child_create' } selected="selected" {/if}>
                                domain_child_create
                            </option>
                            <option value="domain_child_modify" {if $smarty.get.act eq 'domain_child_modify' } selected="selected" {/if}>
                                domain_child_modify
                            </option>
                            <option value="domain_child_delete" {if $smarty.get.act eq 'domain_child_delete' } selected="selected" {/if}>
                                domain_child_delete
                            </option>
                            <option value="domain_owner_change" {if $smarty.get.act eq 'domain_owner_change' } selected="selected" {/if}>
                                domain_owner_change
                            </option>
                        </select>
                    </td>
                    <td>
                        <label>وضعیت</label>
                    </td>
                    <td>
                        <select name="status" class="form-control">
                            <option value="all" {if $smarty.get.status eq 'all' } selected="selected" {/if}>
                                all
                            </option>
                            <option value="pending" {if $smarty.get.status eq 'pending' } selected="selected" {/if}>
                                pending
                            </option>
                            <option value="success" {if $smarty.get.status eq 'success' } selected="selected" {/if}>
                                success
                            </option>
                            <option value="failed" {if $smarty.get.status eq 'failed' } selected="selected" {/if}>
                                failed
                            </option>
                        </select>
                    </td>

                    <td>
                        <button type="submit" id="submitBtnSearch" name="search" class="btn btn-success margin-left-5">جستجو</button>
                    </td>
                </tr>
            </table>
        </form>

        <div style="margin-top: 20px;">
            <form id="pagesLog" onsubmit="return pagingLog()" class="form-inline" method="post" action="{$smarty.server.REQUEST_URI}">
                <label>انتخاب صفحه</label>
                <select onchange="return pagingLog()" class="form-control" name="page">
                    {for $i = 1 to $totalPages}
                        <option value="{$i}" {if $i eq $page} selected="selected" {/if}>{$i}</option>
                    {/for}
                </select>
                <button type="submit" id="submitBtnPage" name="filter" style="margin-right: 5px" class="btn btn-success">نمایش</button>
            </form>
        </div>

        <table id="logData" class="table table-striped table-framed table-bordered table-centered">
            <thead>
            <tr>
                <th>ردیف</th>
                <th>آیتم</th>
                <th>اکشن</th>
                <th>وضعیت</th>
                <th>تاریخ</th>
                <th>درخواست</th>
                <th>نتیجه</th>
            </tr>
            </thead>
            <tbody>
            {foreach from=$logs key=k item=log}
                <tr>
                    <td>{$k+1}</td>
                    <td>{$log->item}</td>
                    <td>{$log->action}</td>
                    <td>{$log->status}</td>
                    <td>{$log->created_at}</td>
                    <td>
                        <div style="display: none;" id="rq{$log->id}">
                            <pre>
                                {assign var=request value=$log->request|@json_decode}
                                {$request|@debug_print_var}
                            </pre>
                        </div>
                        <button class="btn" onclick="show_page('rq{$log->id}')">نمایش</button>
                    </td>
                    <td>
                        <div style="display: none;" id="rs{$log->id}">
                            {assign var=result value=$log->result|@json_decode}

                            {if $result->cron}
                                {if $result->cron->status eq 'failed'}
                                    status : failed
                                    <br/>
                                    error: {$result->cron->errorDetails}
                                {else}
                                    status : {$result->cron->status}
                                    <br/>
                                    {$result->cron->result|@debug_print_var}
                                {/if}
                            {else}
                                {if $result->status eq 'failed'}
                                    status : failed
                                    <br/>
                                    error: {$result->errorDetails}
                                {else}
                                    status : {$result->status}
                                    <br/>
                                {/if}
                            {/if}
                        </div>
                        <button class="btn" onclick="show_page('rs{$log->id}')">نمایش</button>
                    </td>
                </tr>
            {/foreach}
            </tbody>
        </table>
        <script type="text/javascript">

            var objCal1 = new AMIB.persianCalendar('pcal1', {
                extraInputID: "extra_from",
                extraInputFormat: "YYYY-MM-DD"
            });
            var objCal2 = new AMIB.persianCalendar('pcal2', {
                extraInputID: "extra_to",
                extraInputFormat: "YYYY-MM-DD"
            });

            function show_page(id) {
                win = window.open('', 'data', "scrollbars=1,width=600,height=400");
                win.document.write('');
                win.document.write($('#' + id).html());
            }

            function pagingLog(){
                var $form = jQuery('#pagesLog');
                var btnName = jQuery('#submitBtnPage').text();
                jQuery('#submitBtnPage').text('لطفا منتظر بمانید').prop('disabled',true);
                jQuery.post($form.attr('action'), $form.serialize(), function (data) {
                    jQuery('#submitBtnPage').text(btnName).prop('disabled',false);
                    var res = jQuery(data).find('#requestResultPage').html();
                    jQuery('#requestResultPage').html(res);
                });
                return false;
            }
            function searchesLog(){
                var $form = jQuery('#searchesLog');
                var btnName = jQuery('#submitBtnSearch').text();
                jQuery('#submitBtnSearch').text('لطفا منتظر بمانید').prop('disabled',true);
                jQuery.get($form.attr('action'), $form.serialize(), function (data) {
                    jQuery('#submitBtnSearch').text(btnName).prop('disabled',false);
                    var res = jQuery(data).find('#requestResultPage').html();
                    jQuery('#requestResultPage').html(res);
                });
                return false;
            }
        </script>

    </div>
</div>